Search results
Suggest a FeaturePDF

Localization of Bold Reports® HTML5 JavaScript Report Viewer

Localization of HTML5 JavaScript Report Viewer allows you to localize the static text such as tooltip, parameter block, and dialog text based on a specific culture. To render the static text with specific culture, refer to the following corresponding culture script files and set culture name to the locale property of the Report Viewer.

* `ej.localetexts.fa-IR.min.js`

Refer this CDN links for Localization and Culture to get the Localization and Culture scripts for available Culture Code

  1. Refer the ej.localetexts.fr-FR.min.js from cdn using the following code.

    <script src="https://cdn.boldreports.com/11.1.10/scripts/v2.0/localization/l10n/ej.localetexts.fr-FR.min.js"></script>
  2. You can edit and preview the Report Viewer localization using the following.

index.js
$(function () {
                var dataValue = "";
                var apiRequest = new Object({
                    password: "demo",
                    userid: "guest"
                    });

                $.ajax({
                    type: "POST",
                    url: "https://on-premise-demo.boldreports.com/api/get-user-key",
                    data: apiRequest,
                    success: function (data) {
                        dataValue = data.Token;
                        var token = JSON.parse(dataValue);

                        $("#viewer").boldReportViewer(
                            {
                                reportServiceUrl: "https://on-premise-demo.boldreports.com/ReportService/api/Viewer",
                                serviceAuthorizationToken: token.token_type + " " + token.access_token,
                                reportPath: '/Sample Reports/Sales Order Detail',
                                //Render Report Viewer in French locale
                                locale: "fr-FR"
                            });
                    }
                });
            });
Having trouble getting help?
Contact Support
Having trouble getting help?
Contact Support

Localization of Angular Report Viewer allows you to localize the static text such as tooltip, parameter block, and dialog text based on a specific culture. To render the static text with specific culture, refer to the following corresponding culture script files and set culture name to the locale property of the Report Viewer.
* `ej.localetexts.fr-FR.min.js`Refer this CDN links for Localization and Culture to get the Localization and Culture scripts for available Culture Code.
Run the below command, to install the @boldreports/javascript-reporting-controls package.
npm install @boldreports/javascript-reporting-controls --saveRefer to the ej.localetexts.fr-FR.min.js script file from node_modules in the app.module.ts file .
import { NgModule, enableProdMode, ErrorHandler } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { RouterModule } from '@angular/router';
import { FormsModule } from '@angular/forms';
import { HttpModule } from '@angular/http';
import { BoldReportsAngularModule } from '@boldreports/angular-reporting-components';
import '@boldreports/javascript-reporting-controls/Scripts/v2.0/localization/l10n/ej.localetexts.fr-FR.min.js';
import { AppComponent } from './app.component';
import { TextboxComponent } from './textbox/textbox.component';
...
...If you import the culture before the
BoldReportsAngularModule, you will get the following error in the application. So, you should import the culture after the@boldreports/angular-reporting-componentspackage.

Initialize the locale property in the component.ts and component.html pages.
<bold-reportviewer id="reportViewer_Control"
    [reportServiceUrl] = "serviceUrl"
    [processingMode] = "Remote"
    [reportServerUrl] = "serverUrl"
    [reportPath] = "reportPath"
    [locale]='locale'>
</bold-reportviewer>import { Component, ViewChild } from '@angular/core';
import { BoldReportsAngularModule } from '@boldreports/angular-reporting-components/src/core';
@Component({
    selector: 'ej-app',
    templateUrl: './app.component.html',
    styleUrls: ['./app.component.css']
})
export class AppComponent {
    public serviceUrl: string;
    public reportPath: string;
    public serverUrl: string;
    public locale: string;
    constructor() {
        this.serviceUrl = 'https://demos.boldreports.com/services/api/ReportApi';
        this.reportPath = 'Sales Order Detail.rdl';
        this.locale = "fr-FR";
    }
}

Search results
Suggest a FeaturePDF

Localization of Bold Reports® React Report Viewer

Localization of React Report Viewer allows you to localize the static text such as tooltip, parameter block, and dialog text based on a specific culture. To render the static text with specific culture, refer to the following corresponding culture script files and set culture name to the locale property of the Report Viewer.

* `ej.localetexts.fr-FR.min.js`

Refer this CDN links for Localization and Culture to get the Localization and Culture scripts for available Culture Code.

  • Run the below command, to install the @boldreports/javascript-reporting-controls package.
npm install @boldreports/javascript-reporting-controls --save
  • Refer to the ej.localetexts.fr-FR.min.js script file from node_modules in the App.js file.
import React from 'react';
import './App.css';
//Report Viewer source
import '@boldreports/javascript-reporting-controls/Scripts/v2.0/bold.report-viewer.min';
import '@boldreports/javascript-reporting-controls/Content/v2.0/tailwind-light/bold.report-viewer.min.css';
//Data-Visualization
import '@boldreports/javascript-reporting-controls/Scripts/v2.0/common/bold.reports.common.min';
import '@boldreports/javascript-reporting-controls/Scripts/v2.0/common/bold.reports.widgets.min';
//Reports react base
import '@boldreports/react-reporting-components/Scripts/bold.reports.react.min';

import '@boldreports/javascript-reporting-controls/Scripts/v2.0/localization/l10n/ej.localetexts.fr-FR.min.js';
...
...

Initialize the locale property in the App.js file as shown like in below code snippet.

 var locale = 'fr-FR';

 function App() {
     return (<div id="viewer" style={viewerStyle}>
     <BoldReportViewerComponent id="reportviewer-container"
     reportServiceUrl = {'https://demos.boldreports.com/services/api/ReportViewer'}
     reportPath = { 'GroupingAgg.rdl' }
     locale = {locale}
     >
     </BoldReportViewerComponent>
     </div>);
   }
Having trouble getting help?
Contact Support
Having trouble getting help?
Contact Support